summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-vim/cream
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-vim/cream')
-rw-r--r--app-vim/cream/Manifest5
-rw-r--r--app-vim/cream/cream-0.43.ebuild161
-rw-r--r--app-vim/cream/files/cream-0.30-ebuilds.patch12
-rw-r--r--app-vim/cream/files/enhancedcommentify-2.1-extra-ft-support.patch13
-rw-r--r--app-vim/cream/files/enhancedcommentify-2.1-gentooisms.patch23
-rw-r--r--app-vim/cream/metadata.xml14
6 files changed, 228 insertions, 0 deletions
diff --git a/app-vim/cream/Manifest b/app-vim/cream/Manifest
new file mode 100644
index 00000000000..9108c7ece4f
--- /dev/null
+++ b/app-vim/cream/Manifest
@@ -0,0 +1,5 @@
+DIST cream-0.43.tar.gz 785889 SHA256 b7adee33d5464f985a71722fdbe133e726bffebf34eae14c33674c4c5327d777 SHA512 6e6c139bcb5f1ed8cb9718f2c1453a69453c87f2588b6074264f94877dd5b7f78842f5a7c45df693effc2249020e5fa61a88ab5d4e3e13806e2674f1f57dccb7 WHIRLPOOL 726a7134874d515444029fdbe7ec21f8e40f0cb2467388db36548958c49749b4a7638b932272669d883826023722fa73d70273dffc9f1d2e43932f88d400d2de
+DIST cream-spell-dict-eng_2.0.2.zip 1778434 SHA256 fc1a117fa2ebf25254c503e31969f3b5584648965e3fdda3171995f64793ef51 SHA512 72ea2c4d72fc39aa80d9f47762f42ec3fcc4251cc27a9dc62a8b8f8f4b66340df7c15afd603a0e4a12805770606c09e462be548f5203feba76badefa27321b1d WHIRLPOOL 22e506f2c625c68f78f445008268652ff3370d8027b78483ed323177d5ff1f2bd7a5031514dc2c2a6e29d3fa2b4d51181a7538cbd7026424531604ca84fabf86
+DIST cream-spell-dict-fre_2.1.zip 872841 SHA256 d15039be170dadba0011915609446aa48e82e27d692c414be6427caa6134b0b7 SHA512 d34773e3ec2bd905a669175680f91146ead8dc0a7d3de8fa668c56e550eed23ac6c8678b2e7b3c642b756d6eba97b815494395c07b3f28cb54e3a01cf8f5b1a0 WHIRLPOOL edc438ba65d67b74964b28972a365d8e298fdd24bc2ce883e99e501fddd80fe2f2b176bafea87ced4de2be907819da04a0ccbc5cc062f3928f54cc6cf1e9461f
+DIST cream-spell-dict-ger_2.0.1.zip 894848 SHA256 62fbfa9ab7a42c4c0d8d7723f865be7e8c216b5215a15d7430ed0cfb3c993eae SHA512 1fb1a797bfbcd0516d8124daf1256b27a356ef3eb58887c2a55fc8537f211faa60dcba713935b2fa5595ebf6bba07a1463819060018f725e5cd0952b978a342a WHIRLPOOL c1ffd84a2b7cacc3f5a7b46ce9c55b2e9c898dc70986cc4f7b03d29bdc44a4edebe618debf3f53d33ce90da0e3e13c8d9a97bdb9c1691239a13d609a84f0d0b1
+DIST cream-spell-dict-spa_3.0.zip 1710280 SHA256 b26ac0bbf905508b446cfb4424fad5923d4e5e6afe5cd20a313be67269485602 SHA512 27de9d920afe191ae4e7d5267b5ad6fb14a6e4185d474c09d17af1eb45f926dab2d4696080cee25d1591bf0b588234a20778e9b1485927dfffa8595b19e247d2 WHIRLPOOL b85c80f55f7acdf95ab60ac5b631b4ef19908f781584cacfa4dfd2fdbb67e9395769aceed8026a7f494ff5744b84cf65f6a6b8674478e76425c9544a90c09a0a
diff --git a/app-vim/cream/cream-0.43.ebuild b/app-vim/cream/cream-0.43.ebuild
new file mode 100644
index 00000000000..a470bf2583c
--- /dev/null
+++ b/app-vim/cream/cream-0.43.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+inherit vim-plugin eutils fdo-mime
+
+DESCRIPTION="An easy-to-use configuration of the GVim text editor"
+HOMEPAGE="http://cream.sourceforge.net"
+
+DICT_EN="eng_2.0.2"
+DICT_FR="fre_2.1"
+DICT_ES="spa_3.0"
+DICT_DE="ger_2.0.1"
+
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz
+ linguas_en? ( ${HOMEPAGE}/cream-spell-dict-${DICT_EN}.zip )
+ linguas_fr? ( ${HOMEPAGE}/cream-spell-dict-${DICT_FR}.zip )
+ linguas_es? ( ${HOMEPAGE}/cream-spell-dict-${DICT_ES}.zip )
+ linguas_de? ( ${HOMEPAGE}/cream-spell-dict-${DICT_DE}.zip )"
+
+IUSE="linguas_en linguas_fr linguas_es linguas_de"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 ia64 ~mips ppc sparc x86"
+
+DEPEND="
+ >=app-editors/gvim-7.0
+ app-arch/unzip"
+RDEPEND="
+ >=app-editors/gvim-7.0
+ dev-util/ctags"
+
+VIM_PLUGIN_HELPTEXT=\
+"Cream is completely independent from the rest of your Vim/GVim setup.
+To launch GVim in Cream mode, use this wrapper script:
+\ % cream [filename...]
+
+Cream's documentation has been installed in ${ROOT}usr/share/doc/${PF}
+In particular, you may want to read:
+
+\ - the Cream features list:
+file://${ROOT}usr/share/doc/${PF}/html/features.html
+
+\ - the Cream shortcuts list:
+file://${ROOT}usr/share/doc/${PF}/html/keyboardshortcuts.html
+
+\ - the Cream FAQ:
+file://${ROOT}usr/share/doc/${PF}/html/faq.html"
+
+# Utility function to rename a Vim help file and its links/anchors:
+# prefix_help_file prefix file [pattern ...]
+prefix_help_file() {
+ local prefix="${1}" ; shift
+ local helpfile="${1}" ; shift
+ while [[ -n "${1}" ]] ; do
+ sed -i "s:\([*|]\)\(${1}[*|]\):\1${prefix}-\2:g" "${helpfile}" \
+ || die "Failed to sed \"${1}\" on \"${helpfile}\""
+ shift
+ done
+ mv "${helpfile}" "${helpfile%/*}/${prefix}-${helpfile##*/}" \
+ || die "Failed to rename \"${helpfile}\""
+}
+
+pkg_setup() {
+ elog "Cream comes with several dictionaries for spell checking. In"
+ elog "all cases, at least a small English dictionary will be installed."
+ elog
+ elog "To specify which optional dictionaries are installed, set the"
+ elog "LINGUAS variable in /etc/make.conf. For example, to install full"
+ elog "English and French dictionaries, use:"
+ elog " LINGUAS=\"en fr\""
+ elog
+ elog "Available dictionaries are:"
+ for dict in "English en" "French fr" "German de" "Spanish es" ; do
+ # portage bug: shouldn't get a QA notice for linguas stuff...
+ elog " ${dict% *} \t(${dict#* }) $( ( \
+ use linguas_${dict#* } &>/dev/null && \
+ echo '(Will be installed)' ) || echo '(Will not be installed)' )"
+ done
+ elog
+}
+
+src_unpack() {
+ mkdir -p "${S}"/spelldicts
+
+ # install spell dictionaries into ${S}/spelldicts
+ local my_a
+ for my_a in ${A} ; do
+ if [ -z ${my_a/*spell-dict*/} ] ; then
+ cd "${S}"/spelldicts
+ unpack ${my_a}
+ else
+ cd "${WORKDIR}"
+ unpack ${my_a}
+ fi
+ done
+}
+
+src_prepare() {
+ # change installation path + fix the wrapper command (disable plugins)
+ cat > cream <<-EOF
+ #!/bin/sh
+ gvim --servername CREAM --noplugin -U NONE -u "\\\$VIM/cream/creamrc" "\$@"
+ EOF
+
+ sed -i "/let \$CREAM/s:VIMRUNTIME:VIM:" creamrc || die
+
+ # make taglist ebuild aware, bug #66052
+ epatch "${FILESDIR}"/${PN}-0.30-ebuilds.patch
+
+ # more filetypes for EnhancedCommentify, including the Gentoo ones
+ epatch "${FILESDIR}"/enhancedcommentify-2.1-gentooisms.patch
+ epatch "${FILESDIR}"/enhancedcommentify-2.1-extra-ft-support.patch
+
+ # rename vim help files to avoid conflicts with other vim packages
+ prefix_help_file cream help/EnhancedCommentify.txt \
+ 'EnhancedCommentify' 'EnhComm-[a-zA-Z]\+'
+
+}
+
+src_install() {
+ # install launcher and menu entry
+ dobin cream
+ domenu cream.desktop
+ doicon cream.svg cream.png
+
+ # install shared vim files
+ insinto /usr/share/vim/cream
+ doins *.vim creamrc
+ local dir
+ for dir in addons bitmaps filetypes lang ; do
+ insinto /usr/share/vim/cream/${dir}
+ doins ${dir}/*
+ done
+
+ if [[ -n ${LINGUAS} ]] ; then
+ insinto /usr/share/vim/cream/spelldicts
+ doins spelldicts/*
+ fi
+
+ insinto /usr/share/vim/vimfiles/doc
+ doins help/*.txt
+
+ # install docs
+ dodoc docs/{CHANGELOG,DEVELOPER,KEYBOARD,PressRelease,README,RELEASE}.txt
+ dohtml docs-html/*
+ # html doc may be opened from Cream GUI
+ dosym ../../doc/${PF}/html /usr/share/vim/cream/docs-html
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ vim-plugin_pkg_postinst
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ vim-plugin_pkg_postrm
+}
diff --git a/app-vim/cream/files/cream-0.30-ebuilds.patch b/app-vim/cream/files/cream-0.30-ebuilds.patch
new file mode 100644
index 00000000000..30e31038700
--- /dev/null
+++ b/app-vim/cream/files/cream-0.30-ebuilds.patch
@@ -0,0 +1,12 @@
+--- cream-0.30/taglist.vim.orig 2004-10-02 00:12:58.400215576 +0100
++++ cream-0.30/taglist.vim 2004-10-02 00:26:28.535056360 +0100
+@@ -205,6 +205,9 @@
+ let s:tlist_def_cobol_settings = 'cobol;d:data;f:file;g:group;p:paragraph;' .
+ \ 'P:program;s:section'
+
++" ebuilds
++let s:tlist_def_ebuild_settings = 'sh;f:function'
++
+ " eiffel language
+ let s:tlist_def_eiffel_settings = 'eiffel;c:class;f:feature'
+
diff --git a/app-vim/cream/files/enhancedcommentify-2.1-extra-ft-support.patch b/app-vim/cream/files/enhancedcommentify-2.1-extra-ft-support.patch
new file mode 100644
index 00000000000..597518a6d54
--- /dev/null
+++ b/app-vim/cream/files/enhancedcommentify-2.1-extra-ft-support.patch
@@ -0,0 +1,13 @@
+--- plugin/EnhancedCommentify.vim.orig 2005-03-01 02:28:23.409962824 -0500
++++ plugin/EnhancedCommentify.vim 2005-03-01 02:29:45.695453528 -0500
+@@ -740,7 +740,9 @@
+ \ 'psf\|ptcap\|r\|radiance\|ratpoison\|readline\remind\|'.
+ \ 'ruby\|screen\|sed\|sm\|snnsnet\|snnspat\|snnsres\|spec\|'.
+ \ 'squid\|terminfo\|tidy\|tli\|tsscl\|vgrindefs\|vrml\|'.
+- \ 'wget\|wml\|xf86conf\|xmath\)$'
++ \ 'wget\|wml\|xf86conf\|xmath\|fstab\|apache\|resolv\|sudoers\|'.
++ \ 'ntp\|mailcap\|ssh_config\|sshdconfig\|mplayerconf\|desktop\|'.
++ \ 'gkrellmrc\|pf\|ipfilter\|grub\|fluxbox\)$'
+ let b:ECcommentOpen = '#'
+ let b:ECcommentClose = ''
+ elseif fileType =~ 'gentoo'
diff --git a/app-vim/cream/files/enhancedcommentify-2.1-gentooisms.patch b/app-vim/cream/files/enhancedcommentify-2.1-gentooisms.patch
new file mode 100644
index 00000000000..9e45142ff8a
--- /dev/null
+++ b/app-vim/cream/files/enhancedcommentify-2.1-gentooisms.patch
@@ -0,0 +1,23 @@
+--- plugin/EnhancedCommentify.vim.orig 2005-01-27 00:20:00.049461056 -0500
++++ plugin/EnhancedCommentify.vim 2005-01-27 00:17:57.617073608 -0500
+@@ -628,6 +628,10 @@
+ " letter.
+ if match(synFiletype, '\l\+\u') == 0
+ let ft = substitute(synFiletype, '^\(\l\+\)\u.*$', '\1', "")
++ " work-around for gentoo-syntax stuff ; won't work with the above
++ " case, since all the identifiers start with a capital 'G'
++ elseif synFiletype =~ "GentooPackage*"
++ let ft = "gentoo"
+ endif
+
+ if ft == ""
+@@ -739,6 +743,9 @@
+ \ 'wget\|wml\|xf86conf\|xmath\)$'
+ let b:ECcommentOpen = '#'
+ let b:ECcommentClose = ''
++ elseif fileType =~ 'gentoo'
++ let b:ECcommentOpen = '#'
++ let b:ECcommentClose = ''
+ elseif fileType == 'webmacro'
+ let b:ECcommentOpen = '##'
+ let b:ECcommentClose = ''
diff --git a/app-vim/cream/metadata.xml b/app-vim/cream/metadata.xml
new file mode 100644
index 00000000000..b415c9037a0
--- /dev/null
+++ b/app-vim/cream/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>vim</herd>
+ <maintainer>
+ <email>degrenier@easyconnect.fr</email>
+ <description>Please Cc: Thomas de Grenier de Latour (not a Gentoo
+ developer) on any bugs, as he knows lots about the package and I'd
+ like his opinion before I make any big changes.</description>
+ </maintainer>
+ <upstream>
+ <remote-id type="sourceforge">cream</remote-id>
+ </upstream>
+</pkgmetadata>